import Request from '../common/request.js';
let request = new Request().http;

export function getActiveDiscountList(data) {
    return request('/productDiscount/activeList', data, 'GET');
}

export function getDiscountDetail(id) {
    return request(`/productDiscount/detail/${id}`, null, 'GET');
}

export function getDiscountByProductId(productId) {
    return request(`/productDiscount/getByProductId/${productId}`, null, 'GET');
}

export function getDiscountServerTime() {
    return request('/productDiscount/serverTime', null, 'GET');
}
